Package frc.robot.subsystems.swervedrive2.swervelib.parser

## Class SwerveControllerConfiguration

- java.lang.Object
- - frc.robot.subsystems.swervedrive2.swervelib.parser.SwerveControllerConfiguration

-     public class SwerveControllerConfiguration
      extends Object

  Swerve Controller configuration class which is used to configure `SwerveController`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `angleJoyStickRadiusDeadband` | hypotenuse deadband for the robot angle control joystick.
    `PIDFConfig` | `headingPIDF` | PIDF for the heading of the robot.
    `double` | `maxAngularVelocity` | Maximum angular velocity in rad/s
    `double` | `maxSpeed` | Maximum robot speed in meters per second.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SwerveControllerConfiguration​(SwerveDriveConfiguration driveCfg, PIDFConfig headingPIDF)` | Construct the swerve controller configuration.
    `SwerveControllerConfiguration​(SwerveDriveConfiguration driveCfg, PIDFConfig headingPIDF, double angleJoyStickRadiusDeadband)` | Construct the swerve controller configuration.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### maxSpeed

          public final double maxSpeed

      Maximum robot speed in meters per second.

    - #### maxAngularVelocity

          public final double maxAngularVelocity

      Maximum angular velocity in rad/s

    - #### headingPIDF

          public final PIDFConfig headingPIDF

      PIDF for the heading of the robot.

    - #### angleJoyStickRadiusDeadband

          public final double angleJoyStickRadiusDeadband

      hypotenuse deadband for the robot angle control joystick.

  - ### Constructor Detail

    - #### SwerveControllerConfiguration

          public SwerveControllerConfiguration​(SwerveDriveConfiguration driveCfg,
                                               PIDFConfig headingPIDF,
                                               double angleJoyStickRadiusDeadband)

      Construct the swerve controller configuration.
      Parameters:
        `driveCfg` - Drive configuration.
        `headingPIDF` - Heading PIDF configuration.
        `angleJoyStickRadiusDeadband` - Deadband on radius of angle joystick.

    - #### SwerveControllerConfiguration

          public SwerveControllerConfiguration​(SwerveDriveConfiguration driveCfg,
                                               PIDFConfig headingPIDF)

      Construct the swerve controller configuration. Assumes hypotenuse deadband of 0.5 (minimum radius for angle to be set on angle joystick is .5 of the controller).
      Parameters:
        `driveCfg` - Drive configuration.
        `headingPIDF` - Heading PIDF configuration.